Page MenuHomePhabricator

[ORES] fails AutoLoaderStructureTest::testPSR4Completeness tests
Closed, ResolvedPublic

Description

AutoLoaderStructureTest::testPSR4Completeness fails for ORES extension. Using a dummy change https://gerrit.wikimedia.org/r/#/c/436523/ :

AutoLoaderStructureTest::testPSR4Completeness
Class not autoloaded properly

-'ORES\Tests\Hooks\ContributionsHookHandlerTest'
+'ORES\Tests\ContributionsHookHandlerTest'

-'ORES\Tests\Hooks\HelpersTest'
+'ORES\Tests\HelpersTest'

-'ORES\Tests\Storage\HashModelLookupTest'
+'ORES\Tests\HashModelLookupTest'

-'ORES\Tests\Storage\PopulatedSqlModelLookupTest'
+'ORES\Tests\PopulatedSqlModelLookupTest'

-'ORES\Tests\Storage\SqlModelLookupTest'
+'ORES\Tests\SqlModelLookupTest'

-'ORES\Tests\Storage\SqlScoreStorageTest'
+'ORES\Tests\SqlScoreStorageTest'

Event Timeline

hashar created this task.May 31 2018, 1:18 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptMay 31 2018, 1:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hmm, it passed in https://gerrit.wikimedia.org/r/#/c/435071/

And, there's no need to autoload tests...

Legoktm claimed this task.May 31 2018, 5:48 PM

Change 436602 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/ORES@master] Don't autoload all tests, just the helpers that we need

https://gerrit.wikimedia.org/r/436602

Change 436602 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Don't autoload all tests, just the helpers that we need

https://gerrit.wikimedia.org/r/436602

Legoktm closed this task as Resolved.May 31 2018, 9:52 PM
Vvjjkkii renamed this task from [ORES] fails AutoLoaderStructureTest::testPSR4Completeness tests to xwbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from xwbaaaaaaa to [ORES] fails AutoLoaderStructureTest::testPSR4Completeness tests.Jul 2 2018, 3:06 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Legoktm.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.